/*-
 * ============LICENSE_START=======================================================
 * ONAP - SO
 * ================================================================================
 * Copyright (C) 2017 - 2018 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.so.client.avpn.dmaap.beans;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;

@JsonRootName(value = "asyncRequestStatus")
public class AsyncRequestStatus {
	
	@JsonProperty("requestId")
	private String requestId;
	@JsonProperty("clientSource")
	private String clientSource;
	@JsonProperty("correlator")
	private String correlator;
	@JsonProperty("instanceReferences")
	private InstanceReferences instanceReferences;
	@JsonProperty("startTime")
	private String startTime;
	@JsonProperty("finishTime")
	private String finishTime;
	@JsonProperty("requestScope")
	private String requestScope;
	@JsonProperty("requestType")
	private String requestType;
	@JsonProperty("requestStatus")
	private RequestStatus requestStatus;
	
	public String getRequestId() {
		return requestId;
	}
	
	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}
	
	public String getClientSource() {
		return clientSource;
	}
	
	public void setClientSource(String clientSource) {
		this.clientSource = clientSource;
	}
	
	public String getCorrelator() {
		return correlator;
	}
	
	public void setCorrelator(String correlator) {
		this.correlator = correlator;
	}
	
	public InstanceReferences getInstanceReferences() {
		return instanceReferences;
	}
	
	public void setInstanceReferences(InstanceReferences instanceReferences) {
		this.instanceReferences = instanceReferences;
	}
	
	public String getStartTime() {
		return startTime;
	}
	
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	
	public String getFinishTime() {
		return finishTime;
	}
	
	public void setFinishTime(String finishTime) {
		this.finishTime = finishTime;
	}
	
	public String getRequestScope() {
		return requestScope;
	}
	
	public void setRequestScope(String requestScope) {
		this.requestScope = requestScope;
	}
	
	public String getRequestType() {
		return requestType;
	}
	
	public void setRequestType(String requestType) {
		this.requestType = requestType;
	}
	
	public RequestStatus getRequestStatus() {
		return requestStatus;
	}
	
	public void setRequestStatus(RequestStatus requestStatus) {
		this.requestStatus = requestStatus;
	}
}
